# SourcePath: gtkmm/20180320dev
Summary: The Gtkmm package provides a C++ interface to GTK+ 3.
Name: sony-target-dev-gtkmm
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-gtkmm
Version: 3.22.0
Release: 12010001
Source: gtkmm-%{version}.tar.xz
URL:  http://ftp.gnome.org/pub/gnome/sources/gtkmm/
License: LGPLv2.1, GPLv2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package -n %{pkgname}
Summary: The Gtkmm package provides a C++ interface to GTK+ 3.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%prep
%setup -n gtkmm-%{version} -q

%build
%sony_target_dev_setup
%sony_target_dev_configure

make

%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
%sony_target_dev_makeinstall

# Remove docs and man pages
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/*

# Move pkgconfig files and .a files
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Tue Mar 20 2018 Sony Corporation
- Initial build.
